package com.tiesheng.core.pojos.dao;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.tiesheng.core.pojos.DaoBase;
import java.util.Date;

/**
    * 平台-唯一值
    */
@TableName(value = "core_platform_unique")
public class CorePlatformUnique extends DaoBase {
    /**
     * 用户id
     */
    @TableField(value = "user_id")
    private String userId;

    /**
     * appId
     */
    @TableField(value = "app_id")
    private String appId;

    /**
     * 唯一值
     */
    @TableField(value = "unique_id")
    private String uniqueId;

    /**
     * 平台
     */
    @TableField(value = "platform")
    private String platform;

    /**
     * 其他参数
     */
    @TableField(value = "info")
    private String info;

    /**
     * 获取用户id
     *
     * @return user_id - 用户id
     */
    public String getUserId() {
        return userId;
    }

    /**
     * 设置用户id
     *
     * @param userId 用户id
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 获取appId
     *
     * @return app_id - appId
     */
    public String getAppId() {
        return appId;
    }

    /**
     * 设置appId
     *
     * @param appId appId
     */
    public void setAppId(String appId) {
        this.appId = appId;
    }

    /**
     * 获取唯一值
     *
     * @return unique_id - 唯一值
     */
    public String getUniqueId() {
        return uniqueId;
    }

    /**
     * 设置唯一值
     *
     * @param uniqueId 唯一值
     */
    public void setUniqueId(String uniqueId) {
        this.uniqueId = uniqueId;
    }

    /**
     * 获取平台
     *
     * @return platform - 平台
     */
    public String getPlatform() {
        return platform;
    }

    /**
     * 设置平台
     *
     * @param platform 平台
     */
    public void setPlatform(String platform) {
        this.platform = platform;
    }

    /**
     * 获取其他参数
     *
     * @return info - 其他参数
     */
    public String getInfo() {
        return info;
    }

    /**
     * 设置其他参数
     *
     * @param info 其他参数
     */
    public void setInfo(String info) {
        this.info = info;
    }
}